Robots
Refresh robot provider models
Force refresh the cached model list for a Robot model provider.
POST
/robots/providers/{provider}/models/refreshForce refresh the cached model list for a Robot model provider.
storyden-session<token>
In: cookie
Path Parameters
provider*string
Robot model provider namespace
Response Body
application/json
application/json
curl -X POST "https://example.com/robots/providers/string/models/refresh"{ "provider": "string", "supported": true, "settings": { "enabled": true, "has_api_key": true, "requires_api_key": true }, "cache": { "last_refreshed_at": "2019-08-24T14:15:22Z", "last_error": "string", "stale": true }, "models": [ { "ref": "string", "provider": "string", "model": "string" } ]}List robot models GET
Retrieve a list of all enabled models from all providers. Model names are in the format `provider/model` some provider models may include further slashes, such as with OpenRouter: `openrouter/openai/gpt-4`.
List robot providers GET
Retrieve supported Robot model providers, redacted settings, cache status and cached models.